OGRE-Next: Ogre::DefaultRaySceneQuery Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::DefaultRaySceneQuery Class Reference
Core | Component » Scene

Default implementation of RaySceneQuery. More...

`#include <OgreSceneManager.h>`

Inheritance diagram for Ogre::DefaultRaySceneQuery:
[legend]

## Public Member Functions
| DefaultRaySceneQuery (SceneManager *creator)
| ~DefaultRaySceneQuery () override
bool | execute (ObjectData objData, size_t numNodes, RaySceneQueryListener *listener)
void | execute (RaySceneQueryListener *listener) override
| See RayScenQuery.
Public Member Functions inherited from Ogre::RaySceneQuery
| RaySceneQuery (SceneManager *mgr)
| ~RaySceneQuery () override
virtual void | clearResults ()
| Clears the results of the last query execution.
virtual RaySceneQueryResult & | getLastResults ()
| Gets the results of the last query that was run using this object, provided the query was executed using the collection-returning version of execute.
virtual ushort | getMaxResults () const
| Gets the maximum number of results returned from the query (only relevant if results are being sorted).
virtual const Ray & | getRay () const
| Gets the ray which is to be used for this query.
virtual bool | getSortByDistance () const
| Gets whether the results are sorted by distance.
bool | queryResult (MovableObject *obj, Real distance) override
| Self-callback in order to deal with execute which returns collection.
bool | queryResult (SceneQuery::WorldFragment *fragment, Real distance) override
| Self-callback in order to deal with execute which returns collection.
virtual void | setRay (const Ray &ray)
| Sets the ray which is to be used for this query.
virtual void | setSortByDistance (bool sort, ushort maxresults=0)
| Sets whether the results of this query will be sorted by distance along the ray.
Public Member Functions inherited from Ogre::SceneQuery
| SceneQuery (SceneManager *mgr)
| Standard constructor, should be called by SceneManager.
virtual | ~SceneQuery ()
virtual uint32 | getQueryMask () const
| Returns the current mask for this query.
virtual const set< WorldFragmentType >::type * | getSupportedWorldFragmentTypes () const
| Returns the types of world fragments this query supports.
virtual WorldFragmentType | getWorldFragmentType () const
| Gets the current world fragment types to be returned from the query.
virtual void | setQueryMask (uint32 mask)
| Sets the mask for results of this query.
virtual void | setWorldFragmentType (enum WorldFragmentType wft)
| Tells the query what kind of world geometry to return from queries; often the full renderable geometry is not what is needed.
Public Member Functions inherited from Ogre::RaySceneQueryListener
virtual | ~RaySceneQueryListener ()

## Additional Inherited Members
Public Types inherited from Ogre::SceneQuery
enum | WorldFragmentType { WFT_NONE , WFT_PLANE_BOUNDED_REGION , WFT_SINGLE_INTERSECTION , WFT_CUSTOM_GEOMETRY , WFT_RENDER_OPERATION }
| This type can be used by collaborating applications & SceneManagers to agree on the type of world geometry to be returned from queries. More...
Public Attributes inherited from Ogre::SceneQuery
uint8 | mFirstRq
uint8 | mLastRq

## Detailed Description

Default implementation of RaySceneQuery.

## Constructor & Destructor Documentation

## ◆ DefaultRaySceneQuery()

Ogre::DefaultRaySceneQuery::DefaultRaySceneQuery | ( | SceneManager * | creator | ) |

## ◆ ~DefaultRaySceneQuery()

Ogre::DefaultRaySceneQuery::~DefaultRaySceneQuery | ( |  | ) |
| override

## Member Function Documentation

## ◆ execute() [1/2]

bool Ogre::DefaultRaySceneQuery::execute | ( | ObjectData | objData,
|  | size_t | numNodes,
|  | RaySceneQueryListener * | listener )

References Ogre::RaySceneQuery::execute().

## ◆ execute() [2/2]

void Ogre::DefaultRaySceneQuery::execute | ( | RaySceneQueryListener * | listener | ) |
| overridevirtual

See RayScenQuery.

Implements Ogre::RaySceneQuery.

The documentation for this class was generated from the following file:

- OgreSceneManager.h